Assignee:
Description

In 1.8 it was possible to return Dir objects from C extensions by mimicking the code in dir.c and using Data_Wrap_ Struct(rb_cDir,
dir_mark, dir_free, dirp). This doesn't work in 1.9+, so it would be nice to have the Dir methods exposed to C extensions. For
example, something like "VALUE rb_dir_new(DIR *)".

History

#1 - 03/12/2013 03:34 PM - nobu (Nobuyoshi Nakada)
- Category set to ext
- Status changed from Open to Feedback

- Target version set to 2.6
For what purpose?

#2 - 03/13/2013 03:06 AM - andrenth (Andre Nathan)

The code I'm working with is wrapping the fdopendir(3) function (return a DIR* from a file descriptor). This is currently not possible except in ruby 1.8.

#3 - 09/23/2013 08:39 PM - andrenth (Andre Nathan)

Any chance of this going ahead?

#4 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)
- Target version deleted (2.6)

#5 - 07/15/2019 10:48 PM - jeremyevans0 (Jeremy Evans)
- ruby -v deleted (1.9.3p194)

- Tracker changed from Bug to Feature
